## cl-iterate 20140713

=== debian/changelog ===
cl-iterate (20140713-1~pgdg80+1) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-cl-iterate-source-
    distribution=jessie-1, apt-get revision sid)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 21 Jul 2015 09:46:05 +0200

cl-iterate (20140713-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 05 Aug 2014 00:11:13 +0400
