=== debian/changelog ===
cl-iterate (20210519.gitb0f9a9c-1) unstable; urgency=medium

  * New upstream snapshot
  * Move under Debian Common Lisp Team maintenance. Thanks to Dimitri Fontaine
    for his work on this package.
  * Bump to debhelper 13
  * Bump Standards-Version to 4.6.0
  * Remove Build-Depends on dh-lisp
  * Add Rules-Requires-Root: no
  * Update Vcs-* fields for move to salsa
  * Mark as M-A foreign
  * Use secure URL for Homepage
  * Add debian/upstream/metadata
  * Add debian/watch (following the “release” git branch as is done by
    Quicklisp; not yet working because of #992976)
  * Simplify debian/rules
  * Ship iterate-pg.lisp example
  * Add missing entries in debian/copyright
  * Add autopkgtest that runs the testsuite under sbcl, ecl and clisp
  * clisp-test-failures.patch: new patch for clisp autopkgtest

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 04 Nov 2021 16:50:00 +0100

cl-iterate (20180228-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 17:05:03 +0100

cl-iterate (1.4.2-3) unstable; urgency=low

  * Updated Standard Version without real changes
  * swap binary-indep and binary-arch round
  * Added Homepage field
  * Debhelper is Build-Depends
  * Added ${misc:Depends} to Depends
  * Added Vcs-Git control field
  * Changed to group maintanance

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 09 Apr 2008 20:33:55 +0200

cl-iterate (1.4.2-2) unstable; urgency=low

  * Added missing Build-Depends on 'dh-lisp' (Closes: #351766)

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  7 Feb 2006 14:37:38 +0100

cl-iterate (1.4.2-1) unstable; urgency=low

  * mention Jonathan Amsterdam in the description.
  * New policy version
  * Added watch file
  * Now uses darcs-buildpackage

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 25 Jan 2006 21:16:31 +0100

cl-iterate (1.4-1) unstable; urgency=low

  * New upstream release.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  3 Jun 2005 07:21:55 +0200

cl-iterate (1.0.9-2) unstable; urgency=low

  * New maintainer. (Closes: #297367: O: cl-iterate)
  * Adopted by Peter Van Eynde

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  1 Mar 2005 10:12:56 +0100

cl-iterate (1.0.9-1) unstable; urgency=low

  * New upstream (closes:273813)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 28 Sep 2004 04:38:29 -0600

cl-iterate (0.9.1-1) unstable; urgency=low

  * Initial upload

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 17 Dec 2003 01:48:38 -0700
