=== debian/control ===
Source: cl-iterate
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://common-lisp.net/project/iterate/
Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-iterate.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-iterate
Rules-Requires-Root: no

Package: cl-iterate
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Jonathan Amsterdam's Common Lisp iterator/gatherer/accumulator facility
 iterate is an iteration construct for Common Lisp. It is similar to the
 CL:LOOP macro, with these distinguishing marks:
 .
  - it is extensible,
  - it helps editors like Emacs indent iterate forms by having a more lisp-like
    syntax,
  - and it isn't part of the ANSI standard for Common Lisp (which is sometimes a
    bad thing and sometimes good).
