=== debian/changelog ===
cl-iterate (20231229.git26cf129-2) unstable; urgency=medium

  * Add myself to Uploaders
  * Updated Standards-Version, no changes
  * Marked the clisp tests as flaky, cannot isolate why it fails only in qemu/ci

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 03 Dec 2024 10:12:31 +0100

cl-iterate (20231229.git26cf129-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Remove myself from Uploaders

  [ Peter Van Eynde ]
  * Fix watch file
  * New upstream version 20231229.git26cf129
  * Remove patch which is no longer needed

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 25 Nov 2024 15:16:52 +0100
