## cl-iterate 20250703.gitd27d7ff

=== Makefile ===
--- 
+++ 
@@ -83,7 +83,7 @@
 test:	clear-cache
 	mkdir -p test
 	set -o pipefail ; \
-	$(command) $(loadfile) test.lisp | tee test/${l}.text ; \
+	$(command) $(loadfile) test.lisp | tee test/${l}-test.text ; \
 	exit ${PIPESTATUS[0]}
