=== debian/changelog ===
cl-iterate (20250703.gitd27d7ff-1) sid; urgency=medium

  * New upstream version 20250703.gitd27d7ff
  * Updated Standards-Version, no changes
  * Temporary disable testing on ecl as gcc-15 causes a failure there

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 25 Sep 2025 11:49:05 +0200
