=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://common-lisp.net/project/iterate/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-iterate.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-iterate
