=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# The default Makefile target is not for us
override_dh_auto_build:

# Do not run the testsuite at build time, rather use autopkgtest
override_dh_auto_test:
