=== debian/watch ===
# Follow the “release” branch, as is done by Quicklisp
version=4
opts="mode=git, pgpmode=none, pretty=%cd.git%h" \
https://gitlab.common-lisp.net/iterate/iterate \
HEAD debian uupdate
